> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/user.md).

# User

Represents a user in Collibra Data Access. It can be a human user or a machine user (service account) which groups accounts in different data sources.

```graphql
type User {
  accessControls(
    after: String
    filter: AccessControlForUserFilterInput
    limit: Int
    order: [AccessControlOrderByInput!]
  ): AccessControlConnectionResult!
  accounts(
    after: String
    filter: AccountFilterInput
    limit: Int
    order: [AccountOrderByInput!]
  ): AccountConnectionResult!
  allTags(
    after: String
    limit: Int
    order: [TagOrderByInput!]
    search: String
  ): TagConnectionResult!
  collibraUid: String @deprecated
  createdAt: Time!
  dataSources(
    after: String
    filter: DataSourceForUserFilterInput
    limit: Int
    order: [DataSourceOrderByInput!]
  ): DataSourceConnectionResult!
  distinctAccess(
    after: String
    filter: AccessFilterInput
    limit: Int
    order: [UserAccessReturnItemOrderByInput!]
  ): GroupedUserAccessReturnItemConnectionResult!
  email: String
  id: ID!
  modifiedAt: Time!
  name: String!
  numberOfAccounts: Count
  numberOfDistinctAccess: CountResult
  tags(
    after: String
    limit: Int
    order: [TagOrderByInput!]
    search: String
  ): TagConnectionResult!
  type: UserType!
}
```

### Fields

#### accessControls ● [`AccessControlConnectionResult!`](/api/graphql/data-access/unions/access-control-connection-result.md) non-null union <a href="#access-controls" id="access-controls"></a>

List the access controls that this user is a beneficiary of.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`AccessControlForUserFilterInput`**](/api/graphql/data-access/input-types/access-control-for-user-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[AccessControlOrderByInput!]`**](/api/graphql/data-access/input-types/access-control-order-by-input.md) **list input**

#### accounts ● [`AccountConnectionResult!`](/api/graphql/data-access/unions/account-connection-result.md) non-null union <a href="#accounts" id="accounts"></a>

List the accounts this user has in the different data sources.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`AccountFilterInput`**](/api/graphql/data-access/input-types/account-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[AccountOrderByInput!]`**](/api/graphql/data-access/input-types/account-order-by-input.md) **list input**

#### allTags ● [`TagConnectionResult!`](/api/graphql/data-access/unions/tag-connection-result.md) non-null union <a href="#all-tags" id="all-tags"></a>

List the tags that are assigned to the user or any of the groups the user is in.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[TagOrderByInput!]`**](/api/graphql/data-access/input-types/tag-order-by-input.md) **list input**

**search ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

#### collibraUid ● [`String`](/api/graphql/data-access/scalars/string.md) deprecated scalar <a href="#collibra-uid" id="collibra-uid"></a>

> **WARNING - DEPRECATED**

Query accounts filtered by the Collibra system data source instead.

Deprecated: use accounts field filtered by the Collibra data source instead.

#### createdAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#created-at" id="created-at"></a>

The time at which this user object was first created.

#### dataSources ● [`DataSourceConnectionResult!`](/api/graphql/data-access/unions/data-source-connection-result.md) non-null union <a href="#data-sources" id="data-sources"></a>

List the data sources in which this user has an account.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`DataSourceForUserFilterInput`**](/api/graphql/data-access/input-types/data-source-for-user-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[DataSourceOrderByInput!]`**](/api/graphql/data-access/input-types/data-source-order-by-input.md) **list input**

#### distinctAccess ● [`GroupedUserAccessReturnItemConnectionResult!`](/api/graphql/data-access/unions/grouped-user-access-return-item-connection-result.md) non-null union <a href="#distinct-access" id="distinct-access"></a>

List the data objects that this user has access to, together with the permissions the user has on these data objects. Access acquired only through deleted/inactive access controls, or through access controls whose type is not Grant, GrantVariation or Group, is not returned.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`AccessFilterInput`**](/api/graphql/data-access/input-types/access-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[UserAccessReturnItemOrderByInput!]`**](/api/graphql/data-access/input-types/user-access-return-item-order-by-input.md) **list input**

#### email ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#email" id="email"></a>

The email address for the user. This will be used to match new accounts. If the email address matches, the new accounts will be automatically added to the user.

#### id ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#id" id="id"></a>

The unique identifier for the user.

#### modifiedAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#modified-at" id="modified-at"></a>

The time at which this user object was last modified.

#### name ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#name" id="name"></a>

The display name for the user.

#### numberOfAccounts ● [`Count`](/api/graphql/data-access/object-types/count.md) object <a href="#number-of-accounts" id="number-of-accounts"></a>

The number of accounts this user has.

#### numberOfDistinctAccess ● [`CountResult`](/api/graphql/data-access/unions/count-result.md) union <a href="#number-of-distinct-access" id="number-of-distinct-access"></a>

Returns the number of data objects that this user has access to.

#### tags ● [`TagConnectionResult!`](/api/graphql/data-access/unions/tag-connection-result.md) non-null union <a href="#tags" id="tags"></a>

List the tags that are directly assigned to the user.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[TagOrderByInput!]`**](/api/graphql/data-access/input-types/tag-order-by-input.md) **list input**

**search ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

#### type ● [`UserType!`](/api/graphql/data-access/enumerations/user-type.md) non-null enum <a href="#type" id="type"></a>

Whether this user is a human user, a machine user (service account), or an internal DGC system account. System users are excluded from user lists and search by default.

### Returned By

[`currentUser`](/api/graphql/data-access/queries/current-user.md) query

### Member Of

[`AccessRequest`](/api/graphql/data-access/object-types/access-request.md) object ● [`AccessRequestAction`](/api/graphql/data-access/interfaces/access-request-action.md) interface ● [`AccessRequestApprovalAction`](/api/graphql/data-access/object-types/access-request-approval-action.md) object ● `AccessRequestApprovalDecisionUpdate` object ● [`Account`](/api/graphql/data-access/object-types/account.md) object ● `Attestation` object ● [`Comment`](/api/graphql/data-access/object-types/comment.md) object ● `DataUsage` object ● [`GroupedDataAccessReturnItem`](/api/graphql/data-access/object-types/grouped-data-access-return-item.md) object ● `QueryHistoryStatement` object ● `ReviewSchedule` object ● [`User`](/api/graphql/data-access/object-types/user.md) object ● [`UserEdge`](/api/graphql/data-access/object-types/user-edge.md) object ● `UserInsightsResult` object

### Implemented By

[`AccessControlMatchSideEffectWhoItem`](/api/graphql/data-access/unions/access-control-match-side-effect-who-item.md) union ● [`AccessRequestAssigneeIdentity`](/api/graphql/data-access/unions/access-request-assignee-identity.md) union ● [`AccessWhoItemItem`](/api/graphql/data-access/unions/access-who-item-item.md) union ● `AuditRoleAssignmentTo` union ● `GraphItem` union ● [`NextHopToUserResult`](/api/graphql/data-access/unions/next-hop-to-user-result.md) union ● [`RoleAssignmentTo`](/api/graphql/data-access/unions/role-assignment-to.md) union ● [`SearchItem`](/api/graphql/data-access/unions/search-item.md) union ● [`UserResult`](/api/graphql/data-access/unions/user-result.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
